FreeBSD : shoutcast -- XSS, information exposure (67dbe99f-0f09-11db-94f8-00e029485e38)

Medium Nessus Plugin ID 22040


The remote FreeBSD host is missing one or more security-related updates.


Goober's advisory reports reports that shoutcast is vulnerable to an arbitrary file reading vulnerability :

Impact of the vulnerability depends on the way the product was installed. In general, the vulnerability allows the attacker to read any file which can be read by the Shoutcast server process.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 22040

File Name: freebsd_pkg_67dbe99f0f0911db94f800e029485e38.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2006/07/13

Modified: 2014/08/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:linux-shoutcast, p-cpe:/a:freebsd:freebsd:shoutcast, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2006/07/11

Vulnerability Publication Date: 2006/06/09

Reference Information

CVE: CVE-2006-3007

Secunia: 20524